var entityId;//专题id
var page;
var clickIndex = 0;//当前点击位置
var contentPages = 0;//总的内容数量
var entitygrade;
var apkType;
var pName;

apiready = function(){
	entityId = api.pageParam.entityId;
	page = api.pageParam.index;
	apkType = api.pageParam.apktype;
	findZt(entityId);//加载横栏专题数据
	findGroupZt(entityId);
	findUserMsgV2(apkType).then(function(rets){
		pName = rets.pName;
	});
//	isPlayAuthList();//判断用户是否付费
};


function findZt(id) {
	api.ajax({
		url : ztGroupURL + '/' + id,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {},
		returnAll : false,
	}, function(ret, err) {
//		console.log(JSON.stringify(ret))
		if (ret) {
			entitygrade = ret.grades.id;
		}
	})
}

function findGroupZt(id) {
	api.ajax({
		url : ztGroupURL + '/group_list/' + id + '/' + apkType,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {},
		returnAll : false,
	}, function(ret, err) {
		if (ret) {
			var html = '<span class="bg"></span>';
			contentPages = ret.length;
			$.each(ret,function(i){
				html +='<a style="line-height:'+api.winHeight*0.085+'px" title="'+this.zhztinfoid+'">'+this.zhztinfo_title+'</a>';
			})
//			console.log(html)
			$api.html($api.byId('iSlider-nav'), html);
			//默认加载第一个内容
			clickIndex = page;
			getVideoList(id,1);//获取视频列表	
		}
	});	
}

function getVideoList(zhztinfoid,pageNO){
	//生成内容所需参数
	var h = (api.winWidth*0.246875*375)/474;
	
	var pageSize = 100;
	api.ajax({
		url : ztGroupURL + '/course/' + zhztinfoid + '/' + pageNO + '?pageSize=' + pageSize,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {},
		returnAll : false,
	}, function(ret, err) {
//		console.log('--63--'+JSON.stringify(ret))
		if (ret) {
			var html = '<div class="page">';
//			console.log(JSON.stringify(ret.result))
            for(var i=0;i<ret.result.length;i++){
            	html +='<div class="video-list" style="height:'+h+'px;">';
            	if(ret.result[i].is_free==0){
					html += '<img class="freePic" src="../../../image/juhe/tbdc/course/free.png" />';
				}
        		html +='<img class="video_img" onclick="openPlay(\''+ret.result[i].sourceid+'\',\''+ret.result[i].id+'\',\''+ret.result[i].is_free+'\',\''+zhztinfoid+'\',\''+i+'\',\'' + ret.result[i].subject + '\')" tapmode src="'+ret.result[i].pictureHd+'" />';
//      		html +='<img class="v_btn_01" tapmode onclick="openXcx(\'' + ret.result[i].id+ '\',\'' + 1 + '\')" src="../../../image/juhe/tbdc/course/v_btn_01.png" />';
//      		html +='<img class="v_btn_02" tapmode onclick="openXcx(\'' + ret.result[i].id+ '\',\'' + 2 + '\')" src="../../../image/juhe/tbdc/course/v_btn_02.png" />';
        		html +='</div>';
            }
     		html +='</div>';
     		
			setVideo(html);
		}
	})
	

    
}

//word_type 1:单词   2：句子      miniProgramType：  test：开发版     preview：体验版     release：正式版
function openXcx(list_id,word_type){
	if(pName){
		var wx = api.require('wx');
		api.ajax({
			url : tbdcURL+ 'insertOrUpdateWord/' + list_id,
			method : 'post',
			cache : false,
			timeout : 30,
			dataType : 'json',
			data : {
				values:{
					apk_type:apkType,
					word_type:word_type	
				}		
			},
			returnAll : false,
		}, function(ret, err) {
			if(ret){		
	//		    console.log(JSON.stringify(ret)+JSON.stringify(err))
				var u_code = $api.getStorage('uCode');
				wx.launchMiniProgram({
				    apiKey: 'wx33718b69c8749be2',
				    miniProgramType: 'release',
				    userName: 'gh_ef374b5d70e1',
				    path: 'pages/tbdc/tbdc?scene='+u_code.replace('3jd3939','')+'@'+apkType,
				}, function(ret, err) {
				    if (ret.status) {
				        console.log('成功');
				    } else {
				        console.log(err.code);
				    }
				});
			}
		})
	}else{
		api.toast({
	        msg:'您尚未拥有权限，请购买权限'
        });
	}

}


function inserTbdc(){
	api.ajax({
		url : tbdcURL+ insertOrUpdateWord + '/c2a58256-130f-11e9-91b0-6cf049cb970c' ,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {},
		returnAll : false,
	}, function(ret, err) {
		if(ret){
			console.log(JSON.stringify(ret))
		}
	})
}

//初始化视频插件列表
var islider;
var dataresult = 0;
function setVideo(html){
	
	var list = [];
	if(islider && dataresult < contentPages){
		dataresult = dataresult + 1;
		islider.pushData({content: html });
		islider.slideTo(clickIndex);
		return;
	}else{
		if(dataresult == 0){
			dataresult = dataresult + 1;
			list.push({content: html });
		}else{
			return;
		}
	}

	var tabs = document.getElementById('iSlider-nav').querySelectorAll('a');
    var bg = document.getElementById('iSlider-nav').querySelector('span');
    var scale = tabs[0].clientWidth;
    bg.style.width = tabs[0].clientWidth + 'px';

    islider = new iSlider({
        data: list,
        dom: document.getElementById("iSlider-show"),
        duration: 2000,
        isLooping: false,
        isDebug: true,
        isAutoplay: false,
        fixPage: false,
        isTouchable:false,
        onslideend: function (idx) {
            bg.style.webkitTransition = 'left .3s ease';
            bg.style.width = tabs[idx].clientWidth + 'px';
            bg.style.left = tabs[idx].offsetLeft + 'px';
        },
        onslidechange: function (idx) {
        	console.log(idx)
            bg.style.webkitTransition = 'left .3s ease';
            bg.style.width = tabs[idx].clientWidth + 'px';
            bg.style.left = tabs[idx].offsetLeft + 'px';
        },
        onslide: function (offset) {
        	return;
        }
    });

    for (i = 0; i < tabs.length; i++) {
        tabs[i].id = i;
        tabs[i].addEventListener('click', function (e) {
            var idx = parseInt(e.target.id);
            var zhztinfiid = e.target.title;
            clickIndex = idx;
            getVideoList(zhztinfiid,1);//获取视频列表
            islider.slideTo(idx);
        }, false);
    }
}

//function openPlay(sourceid){
//	api.openWin({
//	    name: 'play_window',
//	    url: '../pages/play_window.html',
//	    pageParam : {
//			sourceid : sourceid,
//			entityId : entityId
//		}
//  });
//}

//function openPlay() {
//	api.startPlay({
//	    path: '../../image/pages/music/axmak.mp3'
//	}, function(ret, err) {
//	    if (ret) {
//	        alert('播放完成');
//	    } else {
//	        alert(JSON.stringify(err));
//	    }
//	});         
//}

function openPlay(sourceid,id,is_free,zhztinfoid,index,subjectid) {//图片点击事件
	if (api.uiMode == 'pad') {
		deviceName = 'PAD'
	}
	var uniqueStr = getDeviceId();
	
	api.ajax({
		url : playURL + 'v2/isplay',
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {
			values : {
				"apkType" : apkType,//api.js里
				"channelType" : channelType,//api.js里
				"gradeid" : entitygrade,//
				"uniqueStr" : uniqueStr,//设备唯一id，api.js里
				"deviceName" : deviceName,//获取设备类型的东西
				"subjectid" : subjectid

			}
		},
		returnAll : false,
	},function(res,err){
//		console.log(JSON.stringify(res))
		if(res.result==true || is_free==0){
			api.openWin({
				name : 'course_play',
				url : './course_play.html',
				pageParam:{
					entityId : entityId,
					sourceid:sourceid,
					id:id,
					zhztinfoid:zhztinfoid,
					index:index,
					isPay:res.result,
					gradeid:entitygrade,
					subjectid:subjectid,
					apkType:apkType
				},
				reload : true,
				rect : {
					x : 0,
					y : 0,
					w : api.winWidth,
					h : api.winHeight,
					marginLeft : 0, //相对父 window 左外边距的距离
					marginTop : 0, //相对父 window 上外边距的距离
					marginBottom : 0, //相对父 window 下外边距的距离
					marginRight : 0 //相对父 window 右外边距的距离
				}
			});
		}else{
			var name = "android_order" ,url = '../../pages/android_order.html';
			if(channelType == '3jidi_p_huawei_ct'){
				name = "android_ct_order";
				url = '../../pages/android_ct_order.html';
			}
			api.openWin({
				name:name,
				url:url,
				pageParam:{
					apkType : apkType
				}
			});
		}
	})
	
	
}

function isPlayAuthList(){//判断用户是否付费
	if (api.uiMode == 'pad') {
		deviceName = 'PAD'
	}
	var uniqueStr = getDeviceId();
	api.ajax({
		url : playURL + 'v2/isplay',
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {
			values : {
				"apkType" : apkType,//api.js里
				"channelType" : channelType,//api.js里
				"gradeid" : entitygrade,//空的所以不填
				"uniqueStr" : uniqueStr,//设备唯一id，api.js里
				"deviceName" : deviceName,//获取设备类型的东西
//				"subjectid" : subjectid,//空的所以不填
				"zt_type" : zt_type//下面的函数，不知道啥
			}
		},
		returnAll : false,
	},function(res,err){
		return res;
	})
}

