
var sourceid;
var entityId;
var id;
var zhztinfoid;
var idx;
var gradeid;
var subjectid;
var pName;
apiready=function(){
	sourceid=api.pageParam.sourceid;
	entityId = api.pageParam.entityId;
	id=api.pageParam.id;
	zhztinfoid=api.pageParam.zhztinfoid;
	idx=api.pageParam.index;
	gradeid=api.pageParam.gradeid;
	subjectid=api.pageParam.subjectid;
	var apkType=api.pageParam.apkType;
	findUserMsgV2(apkType).then(function(res){
		pName = res.pName;
	})
	getPlay(id);
}



function getPlay(id){
	
	api.ajax({
		url : tbdcURL+'/getWordByListId/'+id,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {},
		returnAll : false,
	},function(ret,err){
//		console.log('--27--'+JSON.stringify(ret.meTestQuestions));
		document.getElementById('e_word').innerHTML=ret.meTestQuestions[0].content;
		document.getElementById('pic').src=ret.meTestQuestions[0].contentPic;
		document.getElementById('symbol').innerHTML=ret.meTestQuestions[0].phonetic_symbol;
		document.getElementById('chinese').innerHTML=ret.meTestQuestions[0].word_translation;
		document.getElementById('sentence').innerHTML=ret.meTestQuestions[1].content;
	});
}




var isclick= true;
function speak(){
	if(isclick){
		isclick=false;
		api.ajax({
			url : tbdcURL+'/getWordByListId/'+id,
			method : 'post',
			cache : false,
			timeout : 30,
			dataType : 'json',
			data : {},
			returnAll : false,
		},function(res,err){
	//		console.log(JSON.stringify(res));	
			readWord(res);
			setTimeout(()=>{
				readSentence(res);
			},9000);
		})
		setTimeout(()=>{//防止用户重复或过快点击
			isclick=true;
		},25000);
		setTimeout(()=>{
			getVideoList(zhztinfoid,idx);
		},28000);
	}
	
}

var volunm;
function readWord(res){
	var word = document.getElementById('e_word');
	var count=1;
	var handler = setInterval(()=>{
		var audioStreamer = api.require('audioStreamer');
		audioStreamer.openPlayer({
		    path: res.meTestQuestions[0].content_audio,
		}, (ret)=> {
//			word.classList.add('e_word_change');
			$('#e_word').addClass('e_word_change');
		});
		audioStreamer.getVolume((ret) => {
			
//			console.log(JSON.stringify(ret.volume ));
			if(ret.volume==0.0){
				return volunm=0.6;
			}else{
				return volunm=ret.volume ;
			}
			audioStreamer.setVolume({
		    volume: volunm
			});
		});
		
//		console.log(count)
		if(count == 3){
			clearInterval(handler);
 		}
		setTimeout(()=>{$('#e_word').removeClass('e_word_change')},1500);
		count++;
		
	},3000);
}

function readSentence(res){
	var sentence = document.getElementById('sentence');
	var count=1;
	var handler = setInterval(()=>{
//		console.log(count);
		var audioStreamer = api.require('audioStreamer');
		audioStreamer.openPlayer({
		    path: res.meTestQuestions[1].content_audio,
		}, (ret)=> {
			$('#sentence').addClass('sentence_change');
		});
		audioStreamer.getVolume((ret) => {
//			console.log(JSON.stringify(ret.volume))
			
			if(ret.volume==0.0){
				return volunm=0.6;
			}else{
				return volunm=ret.volume ;
			}
			audioStreamer.setVolume({
		    volume: volunm
			});
		});
//		audioStreamer.setVolume({
//		    volume: volunm
//		});
		if(count == 3){
			clearInterval(handler);
 		}
		setTimeout(()=>{$('#sentence').removeClass('sentence_change')},3000);
		count++;
	},5000);
}

function getVideoList(zhztinfoid,idx){
	//生成内容所需参数
	
	var pageNO=1;
	var pageSize = 100;
	api.ajax({
		url : ztGroupURL + '/course/' + zhztinfoid + '/' + pageNO + '?pageSize=' + pageSize,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {},
		returnAll : false
	}, function(ret, err){
//		console.log('--155--'+JSON.stringify(ret))
		var result=ret.result;
		index = ++idx;

		if(pName ==null|| pName =='' || pName ==undefined || pName =='undefined'){//检测权限，没有权限
			if(result[index].is_free==0){//是否免费
				getPlay1(result[index].id);
				speak1(result[index].id,zhztinfoid,index);				
				
			}else if(result[index].is_free==1){//付费
				var name = "android_order" ,url = '../../pages/android_order.html';
				if(channelType == '3jidi_p_huawei_ct'){
					name = "android_ct_order";
					url = '../../pages/android_ct_order.html';
				}
				api.openWin({
					name:name,
					url:url,
					pageParam:{
						apkType : apkType
					}
				});
			}
			
		}else{//有权限，继续下一个
			getPlay1(result[index].id);
			speak1(result[index].id,zhztinfoid,index);
			
		}
	})
}

function getPlay1(id){
	
	api.ajax({
		url : tbdcURL+'/getWordByListId/'+id,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {},
		returnAll : false,
	},function(ret,err){
//		console.log(JSON.stringify(ret.meTestQuestions));
		document.getElementById('e_word').innerHTML=ret.meTestQuestions[0].content;
		document.getElementById('pic').src=ret.meTestQuestions[0].contentPic;
		document.getElementById('symbol').innerHTML=ret.meTestQuestions[0].phonetic_symbol;
		document.getElementById('chinese').innerHTML=ret.meTestQuestions[0].word_translation;
		document.getElementById('sentence').innerHTML=ret.meTestQuestions[1].content;
		if(err){
			console.log('--getplay err--'+JSON.stringify(err))
			return
		}
	});
}

function speak1(id,zhztinfoid,index){
		api.ajax({
			url : tbdcURL+'/getWordByListId/'+id,
			method : 'post',
			cache : false,
			timeout : 30,
			dataType : 'json',
			data : {},
			returnAll : false,
		},function(res,err){
	//		console.log(JSON.stringify(res));	
			readWord(res);
			setTimeout(()=>{
				readSentence(res);
			},9000);
		})	
		setTimeout(()=>{
//			++index;
			getVideoList(zhztinfoid,index);
		},28000);
}

